//---- Car Skirt 

#include "tor1.inc"


#declare Sk1 =
object {
  union { 
   quadric { Sphere scale <85 30 20> rotate <0 0 28> translate <32.5 5.7 -42.3> }
   quadric { Sphere scale <85 30 20> rotate <0 0 28> translate <32.5 5.7 42.3> }
  }
      texture { SkirtTexture }
         clipped_by {
	 plane { <0 1 0> 23 inverse }
	 plane { <0 0 1> -51 inverse }
	 plane { <0 0 1> 51  }
	 quadric { Cylinder_Z scale <13 13 1> translate <107 33 0> inverse  }

	 }    
}

//--- Side Board
#declare Sk2 = 
object {
   union { 
   box { UnitBox scale <85 1 50> translate <23 24 0> }
   intersection { Disk_X scale <85 1 1> translate <23 24 -50> }
   intersection { Disk_X scale <85 1 1> translate <23 24 50> }
   }
      texture { SkirtTexture }
         clipped_by {
         quadric { Sphere scale <85 30 20> rotate <0 0 28> translate <32.5 5.7 -42.3> inverse }
         quadric { Sphere scale <85 30 20> rotate <0 0 28> translate <32.5 5.7 42.3> inverse }
	 quadric { Cylinder_Z scale <13 13 1> translate <107 33 0> inverse  }
         plane { <1 0 0> -48 inverse }	
	 
	 
	 }    
}


#declare Sk3 =
object {
  union {
    quartic { T1 scale <1 1 2.7> translate <-80 23 -41.7> } 	 
    quartic { T1 scale <1 1 2.7> translate <-80 23 41.7> } 	 
  }   
       texture { SkirtTexture }
         clipped_by {
         plane { <0 1 0> 23 inverse }
	 box { UnitBox scale <7 7 70> translate <-107.5 22 0> inverse }
	 }
		bounded_by {
       		box { UnitBox scale <34 34 55> translate <-80 23 0> }
		}
}



#declare SkirtLight =
object {
   union {
     difference {
       quadric { Sphere scale < 4.5 3.25 3.25> translate <0 7.3 0> }
       plane { <1 0 0> 1.5 inverse }
     }
       quadric { Sphere scale <1 3.5 3.5>  translate <1.5 7.3 0> } 
       intersection { Disk_Y scale <1.5 2.5 1.5> translate <0 2.5 0> }
   }
         texture { CromeTexture }
		bounded_by {
       		box { UnitBox scale <6 6.5 6.5> translate <0 5.5 0> }
		}
}

//--- Back Lights
#declare Light2 =
object {
    quadric { Sphere scale <6.5 3 3> }
       texture { CromeTexture }
}


#declare Skirt =
composite {
  object { Sk1 }
  object { Sk2 }
  object { Sk3 }
  object { SkirtLight translate <82 52 -43> }
  object { SkirtLight translate <82 52 43> }
  object { Light2 translate <-80 55 -42> }
  object { Light2 translate <-80 55 42> }
}




